import HomePage from "../views/Home/index";
import Login from "../views/User/Login";
import React, { lazy, Suspense } from "react";
import { createFromIconfontCN } from "@ant-design/icons";
import { OmitProps } from "antd/lib/transfer/ListBody";

//小区管理
const GardenList = lazy(() => import('../views/Garden/index'))
const RoleList = lazy(() => import('../views/Role/list'))
const ExamineCompany = lazy(() => import('../views/Examine/company'))
const AddCompany = lazy(() => import('../views/Examine/add-company'))
const Wx_Account = lazy(() => import('../views/Examine/wx_account'))
const Settings = lazy(() => import('../views/Settings/index'))
//审核--商户--详情
const Detail_WX_account = lazy(() => import("../views/Examine/detail_wx_account"))

//应用管理--套餐管理
const Combo = lazy(() => import("../views/Adhibition/Combo/combo"))
//应用管理--套餐管理-套餐应用
const Combo_Adhibition = lazy(() => import("../views/Adhibition/Combo/combo_adhibition"))

//应用管理--菜单管理
const Menu = lazy(() => import("../views/Adhibition/Menu/menu"))
//应用管理--短信套餐
const Msg_package = lazy(() => import("../views/Adhibition/Msg/msg_package"))

//应用管理--应用管理
const Adhibition = lazy(() => import("../views/Adhibition/Adhibition/adhibition"))
//应用管理--应用管理--添加应用
const AddAdhibition = lazy(() => import("../views/Adhibition/Adhibition/addAdhibition"))
//应用管理--应用管理--修改应用
const EditAdhibition = lazy(() => import("../views/Adhibition/Adhibition/editAdhibition"))
//应用管理--应用管理--预览
const Preview = lazy(() => import("../views/Adhibition/Adhibition/preview"))

//订单管理--套餐订单
const Order_package = lazy(() => import("../views/Order/package"))
//订单管理--应用订单 
const Order_adhibition = lazy(() => import("../views/Order/adhibition"))
//订单管理--短信订单
const OrderMsg_package = lazy(() => import("../views/Order/msg_package"))
//订单管理--短信订单--详情
const Msg_Detail = lazy(() => import("../views/Order/detail"))

//公司详情页
const DetailCompany = lazy(() => import('../views/Examine/detaile-company'))
//物业公司--套餐
const Package = lazy(() => import("../views/Examine/package"))

//设备管理-门禁
const DoorControl = lazy(() => import("../views/Device/door"))
//门禁详情
const DoorDetail = lazy(() => import("../views/Device/doorDetail"))
//小区申请列表
const GardenApplyFor = lazy(() => import("../views/Garden/gardenApplyFor"))
//图片设置
const SetImage = lazy(()=>import("../views/material/setimage"))
export const Wrapper = (Component) => (props) => {
  return (
    <Suspense fallback={''}>
      <Component />
    </Suspense>
  );
};


export const BreadcrumbNameMap: any = {
  "/admin/index": "系统首页",
  "/admin/examine": "审核",
  "/admin/examine/company": "物业公司",
  "/admin/examine/company/add": "添加物业公司",
  "/admin/examine/company/detail": "物业公司详情",
  "/admin/examine/company/package": "套餐",
  "/admin/examine/store": "商户",
  "/admin/examine/store/detail": "详情",
  "/admin/device": "设备管理",
  "/admin/device/door": "门禁",
  "/admin/device/door/detail": "门禁详情",
  '/admin/adhibition': "应用管理",
  "/admin/adhibition/combo": "套餐管理",
  "/admin/adhibition/msg_package": "短信套餐管理",
  "/admin/adhibition/adhibition": "应用管理",
  "/admin/adhibition/adhibition/add": "添加应用",
  "/admin/adhibition/adhibition/edit": "修改应用",
  "/admin/adhibition/adhibition/preview": "预览",
  "/admin/adhibition/menu": "菜单管理",
  "/admin/adhibition/combo/adhibition": "套餐应用",
  "/admin/order": "订单管理",
  "/admin/order/package": "套餐订单",
  "/admin/order/msg_package": "短信订单",
  "/admin/order/msg_package/detail": "详情",
  "/admin/order/adhibition": "应用订单",
  "/admin/garden": "小区管理",
  "/admin/garden/list": "小区列表",
  "/admin/garden/key-info": "小区关键信息变更审核",
  "/admin/material":"素材管理",
  "/admin/material/image":"图片设置",
  // "/admin/role": "权限管理",
  "/admin/setting": "系统设置"
};

const IconFont = createFromIconfontCN({
  scriptUrl: ["//at.alicdn.com/t/c/font_3286328_nkw3x94okgj.js"]
});

export const routes: any = [
  {
    title: "系统首页",
    path: "/admin/index",
    component: HomePage,
    icon: <IconFont type="icon-shouye" />
  },
  {
    title: "审核",
    path: "/admin/examine",
    exact: true,
    icon: <IconFont type="icon-hetongguanli" />,
    children: [
      {
        title: "物业公司",
        path: "/admin/examine/company",
        exact: true,
        component: Wrapper(ExamineCompany)
      },
      {
        title: "商户",
        path: "/admin/examine/store",
        exact: true,
        component: Wrapper(Wx_Account)
      },
      {
        title: "详情",
        path: "/admin/examine/store/detail",
        exact: true,
        hideInMenu: true,
        component: Wrapper(Detail_WX_account)
      },
      {
        title: "添加物业公司",
        path: '/admin/examine/company/add',
        hideInMenu: true,
        component: Wrapper(AddCompany)
      },
      {
        title: "物业公司详情",
        path: '/admin/examine/company/detail',
        hideInMenu: true,
        component: Wrapper(DetailCompany)
      },
      {
        title: "套餐",
        path: '/admin/examine/company/package',
        hideInMenu: true,
        exact: true,
        component: Wrapper(Package)
      }
    ]
  },
  {
    title: "应用管理",
    path: '/admin/adhibition',
    exact: true,
    icon: <IconFont type="icon-shouye" />,
    children: [
      {
        title: "套餐管理",
        exact: true,
        path: "/admin/adhibition/combo",
        component: Wrapper(Combo)
      },
      {
        title: "短信套餐管理",
        exact: true,
        path: "/admin/adhibition/msg_package",
        component: Wrapper(Msg_package)
      },
      {
        title: "菜单管理",
        exact: true,
        path: "/admin/adhibition/menu",
        component: Wrapper(Menu)
      }, {
        title: "应用管理",
        exact: true,
        path: "/admin/adhibition/adhibition",
        component: Wrapper(Adhibition)
      },
      {
        title: "添加应用",
        exact: true,
        hideInMenu: true,
        path: "/admin/adhibition/adhibition/add",
        component: Wrapper(AddAdhibition)
      },
      {
        title: "修改应用",
        exact: true,
        hideInMenu: true,
        path: "/admin/adhibition/adhibition/edit",
        component: Wrapper(EditAdhibition)
      },
      {
        title: "预览",
        exact: true,
        hideInMenu: true,
        path: "/admin/adhibition/adhibition/preview",
        component: Wrapper(Preview)
      },
      {
        title: "套餐应用",
        hideInMenu: true,
        exact: true,
        path: "/admin/adhibition/combo/adhibition",
        component: Wrapper(Combo_Adhibition)
      }
    ]
  },
  {
    title: "订单管理",
    path: "/admin/order",
    exact: true,
    icon: <IconFont type="icon-a-31dingdan" />,
    children: [
      {
        title: "套餐订单",
        exact: true,
        path: "/admin/order/package",
        component: Wrapper(Order_package)
      },
      {
        title: "短信订单",
        exact: true,
        path: "/admin/order/msg_package",
        component: Wrapper(OrderMsg_package)
      },
      {
        title: "详情",
        path: "/admin/order/msg_package/detail",
        exact: true,
        hideInMenu: true,
        component: Wrapper(Msg_Detail)
      },
      {
        title: "应用订单",
        exact: true,
        path: "/admin/order/adhibition",
        component: Wrapper(Order_adhibition)
      }
    ]
  },
  {
    title: "设备管理",
    path: "/admin/device",
    exact: true,
    icon: <IconFont type="icon-shebeiguanli" />,
    children: [
      {
        title: "门禁",
        path: "/admin/device/door",
        exact: true,
        component: Wrapper(DoorControl)
      },
      {
        title: '门禁详情',
        path: "/admin/device/door/detail",
        exact: true,
        hideInMenu: true,
        component: Wrapper(DoorDetail)
      }
    ]
  },
  {
    title: "小区管理",
    exact: true,
    path: "/admin/garden",
    icon: <IconFont type="icon-loupanguanli" />,
    children: [
      {
        title: '小区列表',
        path: "/admin/garden/list",
        exact: true,
        icon: <IconFont type="icon-loupanguanli" />,
        component: Wrapper(GardenList)
      },
      // {
      //   title: '小区关键信息变更审核',
      //   path: "/admin/garden/key-info",
      //   exact: true,
      //   component: Wrapper(GardenApplyFor)
      // },
    ]
  },
  {
    title: "素材管理",
    exact: true,
    path: "/admin/material",
    icon: <IconFont type="icon-sucaiguanli" />,
    children: [
      {
        title: "图片设置",
        path: "/admin/material/image",
        exact: true,
        component: Wrapper(SetImage),
      }
    ]
  },
  {
    title: "系统设置",
    path: "/admin/setting",
    exact: true,
    component: Wrapper(Settings),
    icon: <IconFont type="icon-xitongshezhi" />,
  }
];

export const staticRoutes = [
  {
    title: "登录",
    path: "/login",
    component: Login
  }
];
