import request from './request'

// 递归转换 children key
 const TransformChildren = (item) => {
  if (item.childs) {
    item.children = item.childs
    item.key = `key-${item.code}`
    item.childs.forEach(child => {
      TransformChildren(child)
    })
  }
}

 const ListDataTransform = (AsyncMethod) => {
  return new Promise(resolve => {
    AsyncMethod.then(({ data, code }) => resolve({
      total: data.total || data.list.length,
      data: data.list.map(item => {
        if (item.childs) {
          TransformChildren(item)
        }
        return item
      }),
      success: !code
    }))
  })
}

// Post Login
export const PostLogin = params => request({
  url: '/user/login',
  method: 'post',
  data: params
})
// 省市区列表
export const GetProvinceCityArea = params => request({
  url: '/area/province_city_area',
  method: 'get',
  params
})

// 权限列表
export const GetRoleList: any = params => request({
  url: '/system_permission',
  method: 'get',
  params
})

// 权限操作
export const RoleApi: any = params => request({
  url: '/system_permission',
  method: params.mt,
  data: params,
  params: params.mt === 'delete' ? params : {}
})

// 获取小区列表
export const GetGardenList: any = params => request({
  url: '/garden',
  method: 'get',
  params,
  // params: {
  //   ...params,
  //   page: params.current,
  //   page_size:20
  // }
})

// 街道列表
export const GetStreetList: any = params => ListDataTransform(request({
  url: '/area/street_committee',
  method: 'get',
  params: {
    ...params,
    page: params.current
  }
}))

// 获取物业公司列表
export const GetCompanyList: any = params => request({
  url: '/company/list',
  method: 'get',
  params
})

export const CreateCompany: any = data => request({
  url: '/company/register',
  method: 'post',
  data
})



