import request from "./request";

// 门禁列表/删除 /api/v1/gate
export const GateList = params => {
    const config = {
      url: '/gate',
      method: params.method || 'get'
    }
    config[!['get', 'delete'].includes(config.method) ? 'data' : 'params'] = params
    return request(config)
  }
//门禁入库 /api/v1/gate/in
export const GateIn = data => request({
    url:'/gate/in',
    method:'post',
    data
})
//门禁出库 /api/v1/gate/out
export const GateOut = data =>request({
    url:'/gate/out',
    method:'put',
    data
})
//门禁回收 /api/v1/gate/recovery
export const GateRecycle = data =>request({
    url:"/gate/recovery",
    method:'put',
    data
})
//获取门禁模板 /api/v1/gate/template
export const GateTemplate = () =>request({
  url:"/gate/template",
  method:"GET",
})
//门禁批量入库 /api/v1/gate/import
export const GateImport = ({ file }) => request({
  url: '/gate/import',
  method: 'post',
  data: file
})
//门禁协议列表 /api/v1/gate/protocols
export const GateProtocols = () =>request({
  url:"/gate/protocols",
  method:"GET"
})