//预览图片
import React, { useEffect, useState } from "react";
import { Upload, Modal } from "antd";
import { PlusOutlined } from "@ant-design/icons";
import { getBase64 } from "./utils";
const Uploadpic = (props) => {
  const [previewVisible, setPreviewVisible] = useState(false);
  const [previewImage, setPreviewImage] = useState();
  const [previewTitle, setPreviewTitle] = useState('');
  const [pic, setPic]: any = React.useState([]);
  const [maxcount, setMaxcount]: any = useState(1);
  const token :any= sessionStorage.getItem('area-token')
  
  useEffect(() => {
    setMaxcount(props.maxCount)
  }, [props.maxCount])
  useEffect(() => {
    const srcData = props.src.map(item => {
      return {
        uid: Math.random(),
        url: item,
        status: 'done',
      }
    })
    setPic(srcData)
  }, [props.src])

  const handlePreview = async (file) => {
    if (!file.url && !file.preview) {
      file.preview = await getBase64(file.originFileObj);
    }

    setPreviewImage(file.url || file.preview);
    setPreviewVisible(true);
    setPreviewTitle(file.name || file.url.substring(file.url.lastIndexOf('/') + 1));
  };
  const handleChange = ({ fileList: newFileList }) => {
    setPic(newFileList)
    let arr = new Array;
    newFileList.map(item => {
      if (item.url) {
        arr.push(item.url)
      }
      if (item.status == 'done' && item.type) {
        arr.push(item.response.data);
      }
    })
    props.getSrc(arr)
  }
  const uploadButton = (
    <div>
      <PlusOutlined />
      <div style={{ marginTop: 8 }}>上传图片</div>
    </div>
  );
  const handleCancel = () => setPreviewVisible(false);
  return <>
    <Upload
      // action="http://localhost:3000/api/v1/upload"
      action="http://47.108.135.38:30001/api/v1/upload"
      listType="picture-card"
      headers={{"token":token}}
      fileList={pic}
      onChange={handleChange}
      onPreview={handlePreview}
    >
      {pic.length >= maxcount ? null : uploadButton}
    </Upload>
    <Modal visible={previewVisible} title={previewTitle} footer={null} onCancel={handleCancel}>
      <img
        alt="example"
        style={{
          width: '100%',
        }}
        src={previewImage} />
    </Modal>
  </>
}


export default Uploadpic