import { Button, Card ,Form,Input,InputNumber,message} from "antd";
import React ,{useEffect}from "react";
import { useHistory } from "react-router";
import { Application } from "../../../services/application";
import Uploadpic from "../../../utils/handlePreview";
import Draft from "./draft";

const AddAdhibition = (props) => {
    const history = useHistory();
    const [form] = Form.useForm();
    const { state } = props;
    const [pic, setPic]: any = React.useState([])
    const getContent = (value) => {
        form.setFieldsValue({ content: value })
    }
    const addAdhibition = () => {
        form.validateFields().then(async (values) => {  
            await Application({
                method: state ? "put" : "post",
                ...values,
                price:values.price*100,
                icon:values.icon[0],
                id:state?state.id:null
            })
            message.success("操作成功")
            history.goBack()
        })
    }
    useEffect(() => {
       if(state){
        form.setFieldsValue({...state,price:state.price/100,icon:[state.icon]});
        setPic(pre=>([...pre,state.icon]))
       }
    }, [state])
    const getImage = (arr) => {
        form.setFieldsValue({ icon: arr })
    }
    return (<> 
        <Card extra={<Button type="primary" onClick={history.goBack}>返回</Button>}>

            <Form
                form={form}
                labelCol={{ span: 2 }}
                labelAlign="left"
            >
                <Form.Item label="应用名" name="name"
                    wrapperCol={{ span: 8 }}
                    rules={[{ required: true, message: "请输入应用名" }]}>
                    <Input placeholder="请输入应用名" />
                </Form.Item>
                <Form.Item label="应用简介" name="desc"
                    wrapperCol={{ span: 8 }}
                    rules={[{ required: true, message: "请输入应用简介" }]}>
                    <Input.TextArea placeholder="请输入应用简介" autoSize={{ minRows: 2, maxRows: 6 }} />
                </Form.Item>
                <Form.Item label="价格" name="price"
                    wrapperCol={{ span: 8 }}
                    rules={[{ required: true, message: "请输入价格" }]}>
                    <InputNumber prefix="￥" placeholder="请输入价格" style={{width:"100%"}} min={1}  />
                </Form.Item>
                <Form.Item label="图标" name="icon" wrapperCol={{ span: 8 }}
                    rules={[{ required: true, message: "请上传图标" }]}
                >
                    <Uploadpic getSrc={getImage} src={pic} maxCount={1} />
                </Form.Item>
                <Form.Item label="详情" name="content" rules={[{ required: true, message: "请输入详情" }]}>
                    <Draft getContent={getContent} content={state ? state.content : null} />
                </Form.Item>
            </Form>
            <div style={{ display: 'flex', justifyContent: 'end' }}>
                <Button type="primary" danger style={{ marginRight: '20px' }}
                    onClick={history.goBack}
                >取消</Button>
                <Button type="primary"
                    onClick={addAdhibition}
                >{state ? "修改" : "发布"}</Button>
            </div>
        </Card>
    </>)
}

export default AddAdhibition