import React, { useEffect, useState } from "react";
import { EditorState, convertToRaw ,ContentState } from "draft-js";
import { Editor } from "react-draft-wysiwyg";
import DOMPurify from "dompurify";
import draftToHtml from "draftjs-to-html";
import htmlToDraft from 'html-to-draftjs';
import "react-draft-wysiwyg/dist/react-draft-wysiwyg.css";
import { myBlockRenderer } from "./myBlockRender";
import request from "../../../services/request";
import "./adhibition"

const Draft = (props) => {
    const [editorState, setEditorState] = useState(EditorState.createEmpty());
    const [uploadedImages, setUploadedImages]: any = useState([]);

    const handleEditorChange = (state) => {
        setEditorState(state);
    };

    const createMarkup = (html) => {
        return {
            __html: DOMPurify.sanitize(html),
        };
    };

    const rawContentState = convertToRaw(editorState.getCurrentContent());
    const markup = draftToHtml(
        rawContentState
        // hashtagConfig,
        // directional,
        // customEntityTransform
    );
    useEffect(() => {
        props.getContent(formSubmit())
        
    }, [markup])
    useEffect(() => {
        if(props.content){
            componentWillReceiveProps(props.content)
        }
    }, [props.count])
    const componentWillReceiveProps = (nextProps) => {
         // 匹配富文本编辑器格式，回显保存的内容
         const contentBlock = htmlToDraft(nextProps);
         if (contentBlock) {
           const contentState = ContentState.createFromBlockArray(contentBlock.contentBlocks);
           const editorState = EditorState.createWithContent(contentState);
           setEditorState( editorState )
         }
        // if (props.getSysResult!==nextProps.getSysResult && nextProps.getSysResult.data) {
         
        // }
      }
    const  formSubmit=()=> {
        // 转换成HTML格式
        var editorContent = draftToHtml(convertToRaw(editorState.getCurrentContent()))
       // saveSys({roomnotes: editorContent})
       return editorContent
      }
      
      
    const _uploadImageCallBack = (files) => {
        return new Promise(
            (resolve, rejects) => {
                let formData: any = new FormData()
                formData.append('file', files)
                request({
                    // 这里是配置自己的图片上传链接
                    url: `/upload`,
                    method: 'post',
                    data: formData

                })
                    .then(res => (res = res.data))
                    .then(res => {
                        resolve({ data: { link: res } })
                    })
            }
        )

    };

    return (
        <div className="draft_header">
            {/* <header className="App-header">Rich Text Editor Example</header> */}
            <Editor
                editorState={editorState}
                onEditorStateChange={handleEditorChange}
                customBlockRenderFunc={myBlockRenderer}
                wrapperClassName="wrapper-class"
                editorClassName="editor-class"
                toolbarClassName="toolbar-class"
                toolbar={{
                    inline: { inDropdown: true },
                    list: { inDropdown: true },
                    textAlign: { inDropdown: true },
                    link: { inDropdown: true },
                    history: { inDropdown: true },
                    image: {
                        uploadCallback: _uploadImageCallBack,
                        previewImage: true,
                        alt: { present: false, mandatory: false },
                    },
                    inputAccept:
                        "application/pdf,text/plain,application/vnd.openxmlformatsofficedocument.wordprocessingml.document,application/msword,application/vnd.ms-excel",
                }}
            />
        </div>
    );
};
export default Draft;
