import React, { useState, useEffect } from 'react';
import { PageContainer } from '@ant-design/pro-components';
import { Card, Button } from 'antd';
import { Permissions } from '../../../services/application';

import './index.scss';

const Index: any = (props) => {
    const [treeData, setTreeData] = useState([]) as any;
    const checkedSon = (checkBoxList, checkId) => {
        for (let i = 0, len = checkBoxList.length; i < len; i++) {
            if (checkBoxList[i].dataset.pcode) {
                const pid = checkBoxList[i].dataset.pcode;
                if (pid == checkId) {
                    checkedSon(checkBoxList, checkBoxList[i].value);
                    checkBoxList[i].checked = true;
                }
            }
        }
    };
    const cancelCheckedSon = (checkBoxList, checkId) => {
        for (let i = 0, len = checkBoxList.length; i < len; i++) {
            if (checkBoxList[i].dataset.pcode) {
                const pid = checkBoxList[i].dataset.pcode;
                if (pid == checkId) {
                    cancelCheckedSon(checkBoxList, checkBoxList[i].value);
                    checkBoxList[i].checked = false;
                }
            }
        }
    };
    const _getTree = (data) => {
        return data.map((item, index) => {
            return (
                <div key={index} className="tree" data-treeid={item.code}>
                    <div className="tree-item">
                        {item.childs && item.childs.length ? (
                            <div
                                className="check-icon"
                                data-icon={item.code}
                                data-flag={false}
                                style={{
                                    transition: ' transform .3s',
                                    transform: 'rotate(0deg)',
                                }}
                                onClick={() => handleIcon(item)}
                            >
                                <svg
                                    className="icon"
                                    viewBox="0 0 1024 1024"
                                    version="1.1"
                                    xmlns="http://www.w3.org/2000/svg"
                                    p-id="1331"
                                    width="10"
                                    height="10"
                                >
                                    <path
                                        d="M288.791335 65.582671l446.41733 446.417329-446.41733 446.417329z"
                                        p-id="1332"
                                    ></path>
                                </svg>
                            </div>
                        ) : (
                            <div className="check-icon" style={{ cursor: 'default', opacity: 0 }}>
                                <svg
                                    className="icon"
                                    viewBox="0 0 1024 1024"
                                    version="1.1"
                                    xmlns="http://www.w3.org/2000/svg"
                                    p-id="1331"
                                    width="10"
                                    height="10"
                                >
                                    <path
                                        d="M288.791335 65.582671l446.41733 446.417329-446.41733 446.417329z"
                                        p-id="1332"
                                    ></path>
                                </svg>
                            </div>
                        )}
                        <div className="check-input">
                            <input
                                type="checkbox"
                                value={item.code}
                                data-pcode={item.pcode}
                                className="checkBox"
                                disabled={props.disable?true:false}
                                onChange={(e) => {
                                    const checkBoxList = document.getElementsByClassName('checkBox'); //获取到所有的节点
                                    const checkId = e.target.value; //获取该节点的value值
                                    const isChecked = e.target.checked; //获取该节点是否选中，选中为true，否则为false
                                    /**如果选中该节点时,同时也要选中子节点; 如果取消该节点时,同时也要取消选中的子节点*/
                                    isChecked
                                        ? checkedSon(checkBoxList, checkId)
                                        : cancelCheckedSon(checkBoxList, checkId);
                                    SelectChange()
                                }}
                            />
                        </div>
                        <div className="check-name">{item.name}</div>
                    </div>

                    {item.childs && item.childs.length ? (
                        <div className="check-child" style={{ display: 'none' }} data-flags={false}>
                            {_getTree(item.childs)}
                        </div>
                    ) : null}
                </div>
            );
        });
    };

    const handleIcon = async (item: any) => {
        const checkBoxList: any = await document.getElementsByClassName('check-icon');
        const checkBoxList2: any = await document.getElementsByClassName('tree');
        for (let i = 0, len = checkBoxList.length; i < len; i++) {
            const icon = checkBoxList[i].dataset.icon;
            if (icon == item.code) {
                if (checkBoxList[i].dataset.flag === 'true') {
                    checkBoxList[i].dataset.flag = 'false';
                    checkBoxList[i].style.transform = 'rotate(0deg)';
                } else {
                    checkBoxList[i].dataset.flag = 'true';
                    checkBoxList[i].style.transform = 'rotate(90deg)';
                }
            }
        }
        for (let i = 0, len = checkBoxList2.length; i < len; i++) {
            const treeid = checkBoxList2[i].dataset.treeid;
            if (treeid == item.code) {
                if (checkBoxList2[i].childNodes[1].dataset.flags === 'true') {
                    checkBoxList2[i].childNodes[1].dataset.flags = 'false';
                    checkBoxList2[i].childNodes[1].style.display = 'none';
                } else {
                    checkBoxList2[i].childNodes[1].dataset.flags = 'true';
                    checkBoxList2[i].childNodes[1].style.display = 'block';
                }
            }
        }
    };
    const SelectChange = () => {
        const checkBoxList: any = document.getElementsByClassName('checkBox');
        const arr: any = [];
        for (let i = 0, len = checkBoxList.length; i < len; i++) {
            if (checkBoxList[i].checked) {
                arr.push(checkBoxList[i].value)
            }
        }
        props.getCode(arr)
    }

    const getDetail = async () => {
        const checkAllId = getCode(treeData);
        const checkBoxList: any = document.getElementsByClassName('checkBox');
        for (let i = 0, len = checkBoxList.length; i < len; i++) {
            checkBoxList[i].checked = false;
            for (let j = 0, len = checkAllId.length; j < len; j++) {
                if (checkBoxList[i].value == checkAllId[j]) {
                    checkBoxList[i].checked = true;
                }
            }
        }
    };
    const result: any = [];
    const getCode = (arr) => {
        arr.map(item => {
            if (item.selected) {
                result.push(item.code)
            }
            if (item.childs.length > 0) {
                getCode(item.childs)
            }
        })
        return result;
    }
    useEffect(() => {
        const { id } = props;
        getData(id);
    }, []);
    useEffect(() => {
        getDetail();
    }, [treeData])
    const getData = async (id) => {
        const { data } = await Permissions({ id });
        setTreeData(data)
    }
    return (
        <>
            <Card>{_getTree(treeData)}</Card>
        </>
    );
};

export default Index;