import { Button, Card, Image } from "antd";
import React, { useEffect } from "react";
import { useHistory } from "react-router";
import "./preview.scss"

const Preview = () => {
    const history = useHistory();
    const location = history.location
    const { state }: any = location;
    return (<>
        <Card
            extra={<Button type="primary" onClick={history.goBack}>返回</Button>}
        >
            <div className="detail">
                <Image src={state.icon} className="detail-icon" />
                <div className="detail-name">
                    <div className="detail-text">
                        <span>{state.name}</span>
                        <span>{state.price/100}</span>
                    </div>
                    <div>{state.desc}</div>
                </div>
            </div>
            <div className="adhibition-detail">
                <div className="title">应用详情</div>
                <div className="content" dangerouslySetInnerHTML={{__html:state.content}}></div>
            </div>
        </Card>
    </>)
}

export default Preview