import React, { useState } from "react";
import { useHistory } from "react-router";
import { Button, Modal, Form, message, Image } from "antd";
import type { ActionType } from "@ant-design/pro-table";
import { PlusOutlined } from "@ant-design/icons";
import ProTable from "@ant-design/pro-table";
import { Application } from "../../../services/package";
import Main from "./main";
import Index from "../Adhibition/permission";

const Combo_Adhibition = (props) => {
    const history = useHistory();
    const location = history.location;
    const id: any = location.state;
    const ENABLE = {
        true: { text: '已上架', status: "Success" },
        false: { text: '待上架', status: "Default" }
    }
    const columns: any = [
        {
            title: '应用名',
            align: "center",
            dataIndex: "name"
        },
        {
            title: '应用图标',
            align: "center",
            dataIndex: "icon",
            render: (_, row) => <Image src={row.icon} style={{ width: "50px", height: '50px' }} />
        },
        {
            title: '应用简介',
            align: "center",
            dataIndex: "desc"
        },
        {
            title: '价格',
            align: "center",
            dataIndex: "price",
            render: (_, row) => row.price / 100
        },
        {
            title: '是否上架',
            align: "center",
            dataIndex: "enable",
            valueEnum: ENABLE
        },
        {
            title: '操作',
            dataIndex: 'option',
            search: false,
            align: 'center',
            render: (_, row, index, action) => <>
                <Button type="link" onClick={() => {
                    form.resetFields()
                    contralModal2(true);
                    setState(pre => ({ ...pre, id: row.id }))
                }}>应用菜单</Button>
            </>
        }
    ]
    const actionRef = React.useRef<ActionType>() as any;
    const [form] = Form.useForm();
    const [state, setState] = useState({
        visible: false,
        Pervisible: false,
        id:null,
    })
    const contralModal = (flag) => {
        setState((pre) => ({ ...pre, visible: flag }))
    }
    const contralModal2 = (flag) => {
        setState((pre) => ({ ...pre, Pervisible: flag }))
    }
    const onSubmit = () => {
        form.validateFields().then(async (values) => {
            await Application({ id, ...values, method: "put" });
            message.success("操作成功！");
            contralModal(false);
            actionRef.current?.reloadAndRest();
        })

    }
    const getValue = (val) => {
        const { checkedItems } = val;
        let application_ids: any = [];
        checkedItems.map(item => {
            application_ids.push(item.id)
        })
        form.setFieldsValue({ application_ids })
    }
    return (<>
        <ProTable
            actionRef={actionRef}
            rowKey={row => row.id}
            request={Application}
            options={false}
            search={false}
            params={{ package_id: id }}
            columns={columns}
            toolBarRender={() => [
                <Button
                    type="primary"
                    key="primary"
                    onClick={() => {
                        form.resetFields()
                        contralModal(true);
                    }}
                    icon={<PlusOutlined />}
                >
                    操作
                </Button>,
                <Button
                    type="primary"
                    key="primary"
                    onClick={history.goBack}
                >
                    返回
                </Button>
            ]}
        />
        <Modal
            title="应用菜单"
            visible={state.visible}
            width={680}
            onOk={onSubmit}
            maskClosable={false}
            onCancel={() => contralModal(false)}
        >
            <Form form={form}>
                <Form.Item name='application_ids'>
                    <Main id={id} getValue={getValue} />
                </Form.Item>
            </Form>
        </Modal>
        <Modal
            title="菜单权限"
            visible={state.Pervisible}
            width={680}
            footer={null}
            maskClosable={false}
            onCancel={() => contralModal2(false)}
        >
            <Form form={form}>
                <Form.Item name='permissions'>
                    <Index id={state.id} disable={true} />
                </Form.Item>
            </Form>
        </Modal>
    </>)
}

export default Combo_Adhibition