import React, { Component, useEffect, useState } from "react"
import "./main.scss"
import { Application, Application_can } from "../../../services/package";


const Main = (props) => {
    const { id } = props;
    useEffect(() => {
        Application({ package_id: id }).then(res => {
            if (res.data.length > 0) {
                let newData = res.data.map(item => {
                    return { ...item, checked: false }
                })
                setState(pre => ({ ...pre, checkedItems: newData }))
            } else {
                setState(pre => ({ ...pre, checkedItems: [] }))
            }
        })
        Application_can({ package_id: id }).then(res => {
            if (res.data.length > 0) {
                let newData = res.data.map(item => {
                    return { ...item, checked: false }
                })
                setState(pre => ({ ...pre, checkboxItems: newData }))
            } else {
                setState(pre => ({ ...pre, checkboxItems: [] }))
            }
        })
    }, [])
    const [state, setState]: any = useState({
        checkboxItems: [

        ],

        checkedItems: [],
    })
    const getVal = (index) => {
        let items = [...state.checkboxItems];
        items[index].checked = !items[index].checked;
        setState(pre => ({
            ...pre,
            checkboxItems: items
        }))
    }

    const leftItemClick = (index) => {
        let items = [...state.checkboxItems];
        items[index].checked = !items[index].checked;
        setState(pre => ({
            ...pre,
            checkboxItems: items
        }))

    }

    const rightItemClick = (index) => {
        let items = [...state.checkedItems];
        items[index].checked = !items[index].checked;
        setState(pre => ({
            ...pre,
            checkedItems: items
        }))
    }

    const getSelected = (index) => {
        let items = [...state.checkedItems];
        items[index].checked = !items[index].checked;
        setState(pre => ({
            ...pre,
            checkedItems: items
        }))
    }

    const leftMove = () => {
        let items = [...state.checkboxItems];
        let selectedItems = [...state.checkedItems];
        let notSelect: any = [];
        items.map(item => {
            if (item.checked === true) {
                item.checked = false;
                return selectedItems.push(item);
            }
            else {
                return notSelect.push(item);
            }
        })
        setState(pre => ({
            ...pre,
            checkedItems: selectedItems,
            checkboxItems: notSelect,
        }))
    }

    const rightMove = () => {
        let items = [...state.checkboxItems];
        let selectedItems = [...state.checkedItems];
        let notSelect: any = [];
        selectedItems.map(item => {
            if (item.checked === true) {
                item.checked = false;
                return items.push(item);
            }
            else {
                return notSelect.push(item);
            }
        })
        setState(pre => ({
            ...pre,
            checkedItems: notSelect,
            checkboxItems: items,
        }))
    }
    useEffect(() => {
        props.getValue(state)
    },[state])

    return (
        <div className="light">
            <div className="main-box">
                <ul className="left-selected">
                    {
                        state.checkboxItems.map((ele, index) => {
                            return (
                                <li key={index} id={"item" + index} onClick={() => leftItemClick(index)} className={ele.checked ? "item active" : "item"}>
                                    <input type="checkbox" name="items" checked={ele.checked} onChange={() => getVal(index)} />
                                    <label>{ele.name}</label>
                                </li>
                            )
                        })
                    }
                </ul>

                <div className="middle-convert">
                    <button onClick={leftMove}>→</button>
                    <button onClick={rightMove}>←</button>
                </div>

                <ul className="right-selected">
                    {
                        state.checkedItems.map((ele, index) => {
                            return (
                                <li key={index} onClick={() => rightItemClick(index)} className={ele.checked ? "item active" : "item"} >
                                    <input type="checkbox" name="checkedItems" checked={ele.checked} onChange={() => getSelected(index)} />
                                    <label>{ele.name}</label>
                                </li>
                            )
                        })
                    }
                </ul>
            </div>
        </div>
    );

}

export default Main