import React from "react";
import { withRouter } from "react-router";
import { useHistory } from "react-router";
import { Form, Card, Button } from "antd";
import moment from 'moment'
import { goBack } from "../../utils/hisitory";

const DoorDetail = () => {
    const hisitory = useHistory();
    const location = hisitory.location;
    const state: any = location.state;
    const gateForm = [
        {
            label: '设备序列号', name: 'sn'
        }, {
            label: '授权KEY', name: 'auth_key'
        },
        {
            label: '设备名', name: 'device_name'
        },
        {
            label: '接收小区', name: 'garden_name'
        },
        {
            label: '设备类型', name: 'gate_type'
        },
        {
            label: '地址', name: 'location'
        },
        {
            label: '厂家', name: 'manufactor'
        },
        {
            label: '出库时间', name: 'out_time'
        }, {
            label: '出库人', name: 'out_user'
        }, {
            label: '协议', name: 'protocol'
        }, {
            label: '状态', name: 'status'
        }, 
        {
            label: '启用状态', name: 'enable'
        },
        {
            label: '进出场', name: 'direction'
        },

    ]
    const formItem = (
        gateForm.map((item) => {
            return <Form.Item label={item.label} name={item.name} key={item.name} required

            ><span>{
                Object.keys(state).map(key => {
                    if (item.name == key) {
                        if (item.name == "gate_type") {
                            return state[key] == 1 ? '二维码门禁' : '人脸识别门禁'
                        } else if (item.name == 'status') {
                            return state[key]==1?'在线' : '离线'
                        } else if(item.name=='enable'){
                            return state[key]?'已启用':'已禁用'
                        }else if (item.name == 'direction') {
                            switch (state[key]) {
                                case 1:
                                    return '进场'
                                    break;
                                case 2:
                                    return '出场'
                                    break;
                                case 3:
                                    return '进出场'
                                    break;
                            }
                        }else if(item.name=="out_time"){
                            return moment(state[key] * 1000).format('YYYY-MM-DD HH:MM:SS')
                        }
                        return state[key]
                    }
                })
            }</span></Form.Item>
        })
    )
    const back = (
        <Button type="primary" onClick={goBack}>返回</Button>
    )

    return (<>
        <Card title='门禁列表详情页'
            extra={back}
        >
            <Form
                labelCol={{ span: 3 }}
            >
                {formItem}
            </Form>
        </Card>
    </>)
}
export default withRouter(DoorDetail)