import React, { useEffect, useState } from "react";
import { useHistory } from "react-router";
import { Card, Row, Col, Form, Button, Select, Input, Image } from "antd";
import "./detail_wx_account.scss"
import { connect } from "react-redux";
import { getWxList } from "../../redux/action/wx_account_info"

const Detail_WX_account = (props) => {
    const history = useHistory();
    const location = history.location
    const { state }: any = location;
    const [form] = Form.useForm();
    const [super_type, setSuper_type] = useState("LEGAL");
    const [id_doc_type, setId_doc_type] = useState("IDENTIFICATION_TYPE_IDCARD");
    const contact_type = [
        { label: "法人", value: "LEGAL" },
        { label: "经办人", value: "SUPER" }
    ]
    const contact_id_doc_type = [
        { label: "中国大陆居民-身份证", value: "IDENTIFICATION_TYPE_IDCARD" },
        { label: "其他国家或地区居民-护照", value: "IDENTIFICATION_TYPE_OVERSEA_PASSPORT" },
        { label: "中国香港居民-来往内地通行证", value: "IDENTIFICATION_TYPE_HONGKONG_PASSPORT" },
        { label: "中国澳门居民-来往内地通行证", value: "IDENTIFICATION_TYPE_MACAO_PASSPORT" },
        { label: "中国台湾居民-来往大陆通行证", value: "IDENTIFICATION_TYPE_TAIWAN_PASSPORT" },
    ]
    const subject_type = [
        { label: "SUBJECT_TYPE_ENTERPRISE", value: "SUBJECT_TYPE_ENTERPRISE" }
    ]
    const BankSelect = [
        { label: "工商银行", value: "工商银行" },
        { label: "交通银行", value: "交通银行" },
        { label: "招商银行", value: "招商银行" },
        { label: "民生银行", value: "民生银行" },
        { label: "中信银行", value: "中信银行" },
        { label: "浦发银行", value: "浦发银行" },
        { label: "兴业银行", value: "兴业银行" },
        { label: "光大银行", value: "光大银行" },
        { label: "广发银行", value: "广发银行" },
        { label: "平安银行", value: "平安银行" },
        { label: "北京银行", value: "北京银行" },
        { label: "华夏银行", value: "华夏银行" },
        { label: "农业银行", value: "农业银行" },
        { label: "建设银行", value: "建设银行" },
        { label: "邮政储蓄银行", value: "邮政储蓄银行" },
        { label: "中国银行", value: "中国银行" },
        { label: "宁波银行", value: "宁波银行" },
        { label: "其他银行", value: "其他银行" },
    ]
    const owner_type = [
        { label: "是", value: true },
        { label: "否", value: false },
    ]

    useEffect(() => {
       
        props.getWxList({ id: state }).then(res => {
            form.setFieldsValue(res);
            const { contact_info: { contact_type } } = res;
            if (contact_type == "SUPER") {
                setSuper_type("SUPER")
            }
        });
        console.log(props);
        props.getWxList({id:state});
    }, []);
    return (<>
        <Card extra={<Button type='primary' className='goBack' onClick={history.goBack}>返回</Button>}>
            <Form labelCol={{ span: 7 }} wrapperCol={{ span: 15 }} form={form}
            >
                {/* 超管员信息 */}
                <Row>
                    <div className={'form-block__title'}>超管员信息
                    </div>
                    <Col span={12}>
                        <Form.Item label='超管员类型' name={["contact_info", "contact_type"]}>
                            <Select options={contact_type} disabled
                            />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='超管员姓名' name={["contact_info", "contact_name"]}>
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='联系手机号' name={["contact_info", "mobile_phone"]}>
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='联系邮箱' name={["contact_info", "contact_email"]}>
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    {super_type == 'LEGAL' ? "" :
                        <>
                            <Col span={12}>
                                <Form.Item label='证件类型'
                                    name={["contact_info", "contact_id_doc_type"]}>
                                    <Select options={contact_id_doc_type}
                                        disabled />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件号' name={["contact_info", "contact_id_number"]}>
                                    <Input disabled />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件开始时间' name={["contact_info", "contact_period_begin"]}>
                                    <Input disabled />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件结束时间' name={["contact_info", "contact_period_end"]}>
                                    <Input disabled />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='授权函'
                                    name={["contact_info", "business_authorization_letter"]}
                                >
                                    <Image src={form.getFieldValue(["contact_info", "business_authorization_letter_url"])} />
                                </Form.Item>
                                <Form.Item name={["contact_info", "business_authorization_letter_url"]} hidden >
                                    <Input />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件正面图片' name={["contact_info", "contact_id_doc_copy"]}>
                                    <Image src={form.getFieldValue(["contact_info", "contact_id_doc_copy_url"])} />
                                </Form.Item>
                                <Form.Item name={["contact_info", "contact_id_doc_copy_url"]} hidden >
                                    <Input />
                                </Form.Item>
                            </Col>
                            <Col span={12}>
                                <Form.Item label='证件反面图片' name={["contact_info", "contact_id_doc_copy_back"]}>
                                    <Image src={form.getFieldValue(["contact_info", "contact_id_doc_copy_back_url"])} />
                                </Form.Item>
                                <Form.Item name={["contact_info", "contact_id_doc_copy_back_url"]} hidden >
                                    <Input />
                                </Form.Item>
                            </Col>
                        </>
                    }
                </Row>


                {/* 营业资料 */}
                <Row>
                    <div className={'form-block__title'}>营业资料
                    </div>
                    <Col span={12}>
                        <Form.Item label='主体类型' name={["subject_info", "subject_type"]}>
                            <Select options={subject_type} disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='法人'
                            name={["subject_info", "business_license_info", "legal_person"]}>
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='商户名称'
                            name={["subject_info", "business_license_info", "merchant_name"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='注册地址'
                            name={["subject_info", "business_license_info", "license_address"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='有效期限开始时间'
                            name={["subject_info", "business_license_info", "period_begin"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='有效期限结束时间'
                            name={["subject_info", "business_license_info", "period_end"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='社会统一编码'
                            name={["subject_info", "business_license_info", "license_number"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='营业执照图片'
                            name={["subject_info", "business_license_info", "license_copy"]}
                        >
                            <Image src={form.getFieldValue(["subject_info", "business_license_info", "license_copy_url"])}
                            // style={{width:"100px"}}
                            className="image_pic"
                            />
                        </Form.Item>
                        <Form.Item
                            name={["subject_info", "business_license_info", "license_copy_url"]} hidden >
                            <Input />
                        </Form.Item>
                    </Col>
                    <Form.Item name={["subject_info", "identity_info", "authorize_letter_copy"]} hidden >
                        <Input />
                    </Form.Item>
                    <Form.Item name={["subject_info", "identity_info", "authorize_letter_copy_url"]} hidden >
                        <Input />
                    </Form.Item>
                    <Form.Item name={["subject_info", "identity_info", "id_holder_type"]} hidden >
                        <Input />
                    </Form.Item>
                </Row>


                {/* 法人身份证件信息 */}
                <Row>
                    <div className={'form-block__title'}>法人身份证件信息
                    </div>
                    <Col span={12}>
                        <Form.Item label='是否最终受益人' name={["subject_info", "identity_info", "owner"]}
                        >
                            <Select options={owner_type} disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件类型'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_type"]}
                        >
                            <Select options={contact_id_doc_type} disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件姓名'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_name"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件号码'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_number"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件地址'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_address"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='有效期限开始时间'
                            name={["subject_info", "identity_info", "id_doc_info", "doc_period_begin"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    {id_doc_type == "IDENTIFICATION_TYPE_OVERSEA_PASSPORT" ? null :
                        <Col span={12}>
                            <Form.Item label='有效期限结束时间'
                                name={["subject_info", "identity_info", "id_doc_info", "doc_period_end"]}
                            >
                                <Input disabled />
                            </Form.Item>
                        </Col>
                    }
                    <Col span={12}>
                        <Form.Item label='证件正面图片'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_copy"]}
                        >
                            <Image src={form.getFieldValue(["subject_info", "identity_info", "id_doc_info", "id_doc_copy_url"])} />
                        </Form.Item>
                        <Form.Item
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_copy_url"]}
                            hidden >
                            <Input />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label='证件反面图片'
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_copy_back"]}
                        >
                            <Image src={form.getFieldValue(["subject_info", "identity_info", "id_doc_info", "id_doc_copy_back_url"])} />
                        </Form.Item>
                        <Form.Item
                            name={["subject_info", "identity_info", "id_doc_info", "id_doc_copy_back_url"]}
                            hidden >
                            <Input />
                        </Form.Item>
                    </Col>
                </Row>


                {/* 收益人身份证件信息 */}
                <Form.List name={["subject_info", "ubo_infos"]}
                    initialValue={[{}]}
                >
                    {(fields, { add, remove }) => (
                        <>
                            {fields.map(({ key, name, ...restField }) => {
                                return <Row key={key}>
                                    <div className={'form-block__title'}>
                                        受益人身份证件信息
                                    </div>
                                    <Col span={12}>
                                        <Form.Item label='证件姓名'
                                            name={[name, "id_doc_name"]}
                                        >
                                            <Input disabled />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='证件类型'
                                            name={[name, "id_doc_type"]}
                                        >
                                            <Select options={contact_id_doc_type} disabled />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='证件号码'
                                            name={[name, "id_doc_number"]}
                                        >
                                            <Input disabled />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='证件地址'
                                            name={[name, "id_doc_address"]}
                                        >
                                            <Input disabled />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='有效期限开始时间'
                                            name={[name, "doc_period_begin"]}
                                        >
                                            <Input disabled />
                                        </Form.Item>
                                    </Col>

                                    <Col span={12}>
                                        <Form.Item label='有效期限结束时间'
                                            name={[name, "doc_period_end"]}
                                        >
                                            <Input disabled />
                                        </Form.Item>
                                    </Col>

                                    <Col span={12}>
                                        <Form.Item label='证件正面图片'
                                            name={[name, "id_doc_copy"]}
                                        >
                                            <Image src={form.getFieldValue([name, "id_doc_copy_url"])} />
                                        </Form.Item>
                                        <Form.Item
                                            name={[name, "id_doc_copy_url"]}
                                            hidden >
                                            <Input />
                                        </Form.Item>
                                    </Col>
                                    <Col span={12}>
                                        <Form.Item label='证件反面图片'
                                            name={[name, "id_doc_copy_back"]}
                                        >
                                            <Image src={form.getFieldValue([name, "id_doc_copy_back_url"])} />
                                        </Form.Item>
                                        <Form.Item
                                            name={[name, "id_doc_copy_back_url"]}
                                            hidden >
                                            <Input />
                                        </Form.Item>
                                    </Col>
                                </Row>
                            })}
                        </>
                    )}
                </Form.List>


                {/* 银行账户信息 */}
                <Row>
                    <div className={'form-block__title'}>银行账户信息
                    </div>
                    <Col span={12}>
                        <Form.Item label="银行名称" name={["bank_account_info", "account_bank"]}
                        >
                            <Select options={BankSelect} disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="开户姓名" name={["bank_account_info", "account_name"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="银行账号" name={["bank_account_info", "account_number"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Form.Item label="银行账号" name={["bank_account_info", "bank_account_type"]}
                        hidden
                    >
                        <Input />
                    </Form.Item>
                    <Col span={12}>
                        <Form.Item label="开户银行全称"
                            name={["bank_account_info", "bank_name"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="开户银行省市编码"
                            name={["bank_account_info", "bank_address_code"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="开户银行编码"
                            name={["bank_account_info", "bank_branch_id"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                </Row>


                {/* 经营信息 */}
                <Row>
                    <div className={'form-block__title'}>经营信息
                    </div>
                    <Col span={12}>
                        <Form.Item label="商户简称"
                            name={["business_info", "merchant_shortname"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                    <Col span={12}>
                        <Form.Item label="客服电话"
                            name={["business_info", "service_phone"]}
                        >
                            <Input disabled />
                        </Form.Item>
                    </Col>
                </Row>
            </Form>
        </Card>
    </>)
}
const mapStateToProps = (state) => {
    return {
        Wx_list: state.wx_account_info.list,
    }
}

const mapDispatchToProps = (dispatch) => {
    return {
        getWxList: (userInput) => dispatch(getWxList(userInput)),
    }
}

export default connect(mapStateToProps, mapDispatchToProps)(Detail_WX_account)