import { Button, Image } from "antd";
import React from "react";
import type { ActionType } from "@ant-design/pro-table";
import ProTable from "@ant-design/pro-table";
import { PlusOutlined } from "@ant-design/icons";
import { Cwx_account } from "../../services/examine";
import { Link } from "react-router-dom";

const Wx_Account = () => {
    const columns: any = [
        {
            title: "单号",
            align: "center",
            dataIndex: "business_code",
            ellipsis: true,
        },
        {
            title: "商户号",
            align: "center",
            dataIndex: "mch_id",
            ellipsis: true,
        },
        {
            title: "商户名称",
            align: "center",
            dataIndex: "merchant_name",
            ellipsis: true,
        },
        {
            title: "状态",
            align: "center",
            dataIndex: "state",
            ellipsis: true,
        },
        {
            title: "状态描述",
            align: "center",
            dataIndex: "state_msg",
            ellipsis: true,
        },
        {
            title: "二维码",
            align: "center",
            dataIndex: "sign_url",
            render: (_, row) => <Image src={row.sign_url} style={{ height: "50px", width: "50px" }} />
        },
        {
            title: "驳回原因",
            align: "center",
            width:"300px",
            dataIndex: "reason",
            render:(_,row)=><>
            {JSON.parse(row.reason).map((item,index)=>{
                return <div style={{textAlign:"left"}}>
                    {index+1+":"+item.reject_reason}
                </div>
            })}
            </>
        },
        {
            title: "操作",
            align: "center",
            dataIndex: "option",
            render: (_, row) => <>
                <Link to={{pathname:"/admin/examine/store/detail",state:row.id}}>
                    <Button type="link">详情</Button>
                </Link>
            </>
        },
    ]
    const actionRef: any = React.useRef<ActionType>();
    return (<>
        <ProTable
            actionRef={actionRef}
            rowKey="id"
            request={Cwx_account}
            search={false}
            options={false}
            columns={columns}
        />
    </>)
}

export default Wx_Account