import React from "react";
import { useHistory } from "react-router";
import { Row, Col, Form, Card, Button } from "antd";
import moment from 'moment'
import './detail.scss'

const Msg_Detail = () => {
    const history = useHistory();
    const location = history.location;
    const state: any = location.state;
    const detailList = [
        { label: "小区", value: "garden_name" },
        { label: "套餐名", value: "name" },
        { label: "套餐单价", value: "price" },
        { label: "订单总价", value: "amount" },
        { label: "套餐个数", value: "package_count" },
        { label: "套餐短信条数", value: "msg_count" },
        { label: "订单套餐短信总条数", value: "msg_total_count" },
        { label: "订单套餐短信剩余条数", value: "msg_available_count" },
        { label: "订单创建时间", value: "created_at" },
        { label: "订单状态", value: "status" },
        { label: "套餐描述", value: "comment" },
        { label: "备注", value: "feedback" },
    ]
    const Status_type={
        1:"待审核",
        2:"通过",
        3:"未通过"
    }
    return (<>
        <Card extra={<Button type="primary" onClick={history.goBack}>返回</Button>}>
            <Row>
                <div className={'form-block__title'}>套餐详情</div>
                {detailList.map(item => {
                    if (["price", "amount"].includes(item.value)) {
                        return <Col span={12} key={item.value}>
                            <Form
                                labelAlign="left"
                                labelCol={{ span: 7 }}
                                wrapperCol={{ offset: 1 }}
                            >
                                <Form.Item label={item.label}>
                                    {state[item.value] / 100}元
                                </Form.Item>
                            </Form>
                        </Col>
                    } else if (item.value == "created_at") {
                        return <Col span={12} key={item.value}>
                            <Form
                                labelAlign="left"
                                labelCol={{ span: 7 }}
                                wrapperCol={{ offset: 1 }}
                            >
                                <Form.Item label={item.label}>
                                    {moment(state[item.value] * 1000).format('YYYY-MM-DD HH:MM:SS')}
                                </Form.Item>
                            </Form>
                        </Col>
                    }else if (item.value == "status") {
                        return <Col span={12} key={item.value}>
                            <Form
                                labelAlign="left"
                                labelCol={{ span: 7 }}
                                wrapperCol={{ offset: 1 }}
                            >
                                <Form.Item label={item.label}>
                                   {Status_type[state[item.value]]}
                                </Form.Item>
                            </Form>
                        </Col>
                    }
                    else {
                        return <Col span={12} key={item.value}>
                            <Form
                                labelAlign="left"
                                labelCol={{ span: 7 }}
                                wrapperCol={{ offset: 1 }}
                            >
                                <Form.Item label={item.label}>
                                    {state[item.value]}
                                </Form.Item>
                            </Form>
                        </Col>
                    }
                })}
            </Row>
        </Card>
    </>)
}

export default Msg_Detail