import React from 'react'
import type { ActionType } from '@ant-design/pro-table'
import ProTable from '@ant-design/pro-table'
import { Button, Modal, Form, Select } from 'antd'
import { GetStreetList } from '../../services/api'

const StreetList: React.FC = (props: any) => {
  // @ts-ignore
  const columns: any = [
    {
      title: '名称',
      dataIndex: 'name'
    },
    {
      title: '小区地址',
      dataIndex: 'name'
    },
    {
      title: '所属物业公司',
      dataIndex: 'id',
      valueEnum: {
        0: {
          text: '测试',
          status: 'Default',
        }
      }
    },
    {
      title: '物业联系人',
      dataIndex: 'name'
    },
    {
      title: '物业联系人手机号',
      dataIndex: 'company_phone',
      search: false,
    },
    {
      title: '社区',
      dataIndex: 'id'
    },
    {
      title: '街道',
      dataIndex: 'id'
    },
    {
      title: '操作',
      dataIndex: 'option',
      search: false,
      render: (_, row, index, action) => [
        <Button type='link' key={row.id} onClick={() => {
          setState(pre => ({ ...pre, visible: true }))
        }}>修改所属物业公司</Button>
      ]
    }
  ]
  const [state, setState] = React.useState({
    visible: false,
    examineVisible: false
  })

  const actionRef = React.useRef<ActionType>();
  return (
    <React.Fragment>
      <ProTable
        headerTitle="小区列表"
        actionRef={actionRef}
        rowKey="id"
        options={false}
        search={{ labelWidth: 120 }}
        request={GetStreetList}
        toolbar={{
          menu: {
            type: 'tab',
            activeKey: '',
            items: [
              {
                key: 'tab1',
                label: '社区',
              },
              {
                key: 'tab2',
                label: '街道',
              }
            ],
            onChange: (key) => {

            },
          },
        }}
        columns={columns}
      />
      <Modal
        visible={state.visible}
        title='修改小区所属物业公司'
        onOk={() => setState(pre => ({ ...pre, visible: false }))}
        onCancel={() => setState(pre => ({ ...pre, visible: false }))}
      >
        <Form>
          <Form.Item label='所属物业公司'>
            <Select placeholder='请选择'>
              <Select.Option value='1'>
                测试
              </Select.Option>
            </Select>
          </Form.Item>
        </Form>
      </Modal>
    </React.Fragment>
  )
}

export default StreetList