import * as React from 'react'
import './index.scss'
import { PostLogin } from '../../services/api'
import { message,Form,Button,Input } from 'antd'

// @ts-ignore
import sha256 from 'sha256'

const Login: React.FC = (props: any) => {
  // input useRef
  const inputName: any = React.useRef(null)
  const inputPassword: any = React.useRef(null)

  const onFinish = async (value) => {
    const {user,password}=value
    const { data } = await PostLogin({ user, password: sha256(password) })
    message.success('登录成功！')
    sessionStorage.setItem('area-token', data.token)
    window.location.href = '/admin/index'
  }

  return (
    <div className="login-container">
      <div className="login-box">
        <div className="login-cover">
          <div className="login-title">
            勤爱家
            <div>物业管理系统</div>
          </div>
        </div>
        <div className="login-form">
          <div className="login-type-tabs">
            <div className="current">密码登录</div>
          </div>
          {/* <div className="form-item" style={{ marginBottom: '36px' }}>
            <input autoComplete='off' ref={inputName} placeholder="手机/账号" />
          </div>
          <div className="form-item">
            <input autoComplete='off' type="password" ref={inputPassword} placeholder="密码" />
          </div>
          <div className="other-links">忘记密码</div>
          <button className="submit-btn" onClick={handleLogin}>登录</button> */}
            <Form
            name="basic"
            initialValues={{ remember: true }}
            onFinish={onFinish}
            autoComplete="off"
          >
            <Form.Item
              label=""
              name="user"
              rules={[{ required: true, message: '请输入账号' }]}
            >
              <Input placeholder="请输入账号" />
            </Form.Item>

            <Form.Item
              label=""
              name="password"
              rules={[{ required: true, message: '请输入密码' }]}
            >
             <Input.Password className='cancelBorder' placeholder='密码' /> 
            </Form.Item>
            <div className="other-links">忘记密码</div>
            <Form.Item >
              <Button type="primary" htmlType="submit" className='submit-btn'>
                登录
              </Button>
            </Form.Item>
          </Form>

        </div>
      </div>
    </div>
  )
}

export default Login
